<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        table{
            width: 100%;
        }
        table td{
            border: 1px green solid;
        }
    </style>
</head>
<body>
    <h1>Métodos para manipular nodos del DOM con jQuery.</h1>
    <table>
        <tr>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
        </tr>
        <tr>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
        </tr>
        <tr>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
        </tr>
        <tr>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
        </tr>
    </table>

    <div>
        <input type="button" id="elimina" value="Eliminar la tabla completa"><br>
        <input type="button" id="restaura" value="Restaurar tabla"><br>
        <input type="button" id="fila" value="Añadir fila"><br>
        <input type="button" id="bordeRojo" value="Borde de las celdas de color rojo"><br>
        <input type="button" id="bordeAzul" value="Borde de las celdas de color azul"><br>
        <input type="button" id="bordeVerde" value="Borde de las celdas de color verde">
    </div>


    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
        $(document).ready(function(){
            $("#elimina").click(function(){
                $("tr").empty();
            })


            $("#restaura").click(function(){
                $("table").html(
                        "<tr>"+
                            "<td>&nbsp;</td>"+
                            "<td>&nbsp;</td>"+
                            "<td>&nbsp;</td>"+
                            "<td>&nbsp;</td>"+
                        "</tr>"+
                        "<tr>"+
                            "<td>&nbsp;</td>"+
                            "<td>&nbsp;</td>"+
                            "<td>&nbsp;</td>"+
                            "<td>&nbsp;</td>"+
                        "</tr>"+
                        "<tr>"+
                            "<td>&nbsp;</td>"+
                            "<td>&nbsp;</td>"+
                           "<td>&nbsp;</td>"+
                            "<td>&nbsp;</td>"+
                        "</tr>"+
                        "<tr>"+
                            "<td>&nbsp;</td>"+
                            "<td>&nbsp;</td>"+
                            "<td>&nbsp;</td>"+
                            "<td>&nbsp;</td>"+
                        "</tr>")
            });

            $("#fila").click(function(){
                $("table").append(
                        "<tr>"+
                            "<td>&nbsp;</td>"+
                            "<td>&nbsp;</td>"+
                            "<td>&nbsp;</td>"+
                            "<td>&nbsp;</td>"+
                        "</tr>")
            })
            
            $("#bordeRojo").click(function(){
                $("td").css("border-color","red");
            });
            $("#bordeAzul").click(function(){
                $("td").css("border-color","blue");
            });
            $("#bordeVerde").click(function(){
                $("td").css("border-color","green");
            });
        })
    </script>
</body>
</html>